在数学分析中数 e 是通过数列极限而引进的一个常数,近似值为 e ≈ 2.718 28。数 e 在数学以及一般科学中的重要性决不亚于圆周率 π。
2.5.1 与数 e 有关的两个问题
Section titled “2.5.1 与数 ee 有关的两个问题”虽然数 e 不如圆周率 π 那样容易理解,但仍然有与 e 密切有关的简单例子。
如果一笔钱在银行里存入时间 T 后增值一倍,存入时间 T/2 后增值 50%,那么顾客就可以采取以下策略:将同样的钱先存入时间 T/2,然后取出,再存入时间 T/2,最后得到的钱是原来的 1.5² = 2.25 倍,即增值 125%。现在将条件进一步理想化,设银行利率不随存入时间长短而改变,即存入时间 T/3 后增值 33.33%,存入时间 T/4 后增值 25%,依此类推。问:用以上缩短存入时间并多次重复的方法能在时间 T 后得到的最大增值是多少?
不妨令 T = 1 为单位时间。设存取 n 次,每次存入时间分别为 x₁, x₂, …, xₙ,满足条件 ∑ᵢ=1ⁿ xᵢ = 1(即时间总和为 T)。从平均值不等式有
(1 + x₁)(1 + x₂) … (1 + xₙ) ≤slant (fracn + x₁ + … + xₙn)ⁿ = (1 + 1/n)ⁿ,且当 x₁ = … = xₙ 时成立等号。这表明在固定次数存取的前提下以等时间安排最为有利。于是问题归结为研究数列
{(1 + 1/n)ⁿ}的性质。这个问题直接引向本节的主题 e。从下面的分析和数 e ≈ 2.718 28 可知,最大增值不会超过原有钱数的 171.83%。
已知正数 a,把它分成若干部分,如果要使它们的乘积达到最大,应该怎样分法?容易知道,将 a 分成相等的若干部分最为有利,这是平均值不等式的又一次应用。但平均值不等式并不能告诉我们应该将数 a 分成几部分最好?以 a = 10 为例,可以试算出以下几个结果:
((10)/(2))² = 25, ((10)/(3))³ ≈ 37.037, ((10)/(4))⁴ = 39.0625, ((10)/(5))⁵ = 32.今后可以证明:当等分而成的每一部分的值与数 e 最接近的时候,它们的乘积最大。对 a = 10 来说,就是将它等分成四部分时所得到的乘积最大。
以上的第二个例子取自著名的中学生课外读物 [3]。我们将在例题8.3.3 中证明以上结论。在那里的注 1 中还解决了与此密切相关的另一个问题,即如果对 a 以及所分的每一部分都限制为正整数时,应当怎样分才能使乘积最大?
2.5.2 关于数 e 的基本结果
Section titled “2.5.2 关于数 ee 的基本结果”设 aₙ = (1 + 1/n)ⁿ, n∈ N_(+),则 {aₙ} 严格单调增加且收敛。
证1
数列 {aₙ} 的通项就是一个数自乘 n 次,如再乘上 1,就可看成为 n+1 个数的乘积。利用平均值不等式,就有
aₙ = 1 · (1 + 1/n)ⁿ < [(n(1+1/n)+1)/(n+1)]ⁿ+1 = ((n+2)/(n+1))ⁿ+1 = aₙ+1.因此数列 {aₙ} 严格单调增加。
引入第二个数列 bₙ = (1 + 1/n)ⁿ+1, n∈ N_(+),再用平均值不等式,得到
frac1bₙ = 1 · ((n)/(n+1))ⁿ+1 < [((n+1)((n)/(n+1))+1)/(n+2)]ⁿ+2 = ((n+1)/(n+2))ⁿ+2 = frac1bₙ+1.又由于对每个 n 有不等式 aₙ < bₙ,可见 {aₙ} 严格单调增加,且以每一个 bₙ 为上界;同时 {bₙ} 严格单调减少,且以每一个 aₙ 为下界,因此两个数列都收敛。利用 aₙ(1+1/n)=bₙ,可见它们的极限相同。
在图 2.3中将 {aₙ} 和 {bₙ} 的表达式看成是 n 的函数,分别用小圆点作出它们的前10项。它们的极限就是 e,在图中用水平虚线的高度表示。
证2
将数列的通项 aₙ 用二项式展开,得到
l aₙ = 1 + ∑ₖ=1ⁿ binomnk frac1n^(k) = 1 + 1 + (1)/(2!)(1-1/n) + (1)/(3!)(1-1/n)(1-2/n) + … + (1)/(n!)(1-1/n)(1-2/n)…(1-(n-1)/(n)).比较 aₙ 和 aₙ+1 的类似展开式,可以看出前两项相同,而从第三项起,aₙ+1 的展开式中的每一项都比 aₙ 的展开式中的相应项来得大,而且最后还要多出一个正项,因此 {aₙ} 是严格单调增加数列。又可以用上述展开式作如下估计:
aₙ < 1 + (1)/(1!) + (1)/(2!) + (1)/(3!) + … + (1)/(n!) < 1 + 1 + 1/2 + frac12² + … + frac12ⁿ-1 < 3,因此 {aₙ} 有上界,从而收敛。
同时考虑两个数列的方法有一个优点,即可以得到后面的不等式 (2.16)。若只要证 {aₙ} 有上界,则有很多其他方法。例如,下面的构思见 [41]:由于
(1 + 1/n)ⁿ · 1/2 · 1/2 < [(n(1+1/n)+2·1/2)/(n+2)]ⁿ+2 = 1,可知 {aₙ} 以 4 为上界。(用此法还可证明 {aₙ} 以 {bₙ} 的每一项为上界,其中即有 b₁=4。)
将上一命题中确定的极限记为 e,它的近似值是 2.718281828…。在 1728 年大数学家 Euler 引入 e 作为自然对数的底(见 [29])。在本书中将自然对数 logₑ x 记为 ln x,在其他文献中也有记为 log x 的。从以后的学习中可以看到,虽然在日常计算中一般用常用对数,但在数学中用自然对数更为“自然”和方便得多。
下一命题表明数 e 又是另一个数列的极限,它也称为 e 的无穷级数展开式。
证明数
e = ∑ₙ=0^(∞) (1)/(n!) = 1 + 1 + (1)/(2!) + (1)/(3!) + … + (1)/(n!) + … .(记号 ∑ₙ=0^(∞)(1)/(n!) 是以 (1)/(n!) 为通项的无穷级数,其中 0! = 1。级数的和定义为部分和数列 {sₙ} 的极限,其中 sₙ=1+(1)/(1!)+(1)/(2!)+…+(1)/(n!)。参见例题2.2.9 的注。)
证明
从上一命题中已知 {sₙ} 以 3 为上界,又因 {sₙ} 严格单调增加,因此收敛。记其极限为 s,则从 aₙ < sₙ 得到 e ≤slant s。固定正整数 m,并令 n > m,就有
l aₙ = 1 + 1 + (1)/(2!)(1-1/n) + … + (1)/(n!)(1-1/n)(1-2/n)…(1-(n-1)/(n)) > 1 + 1 + (1)/(2!)(1-1/n) + … + (1)/(m!)(1-1/n)(1-2/n)…(1-(m-1)/(n)).其中不等号右边的和式是从 aₙ 的表达式中去掉后 n-m 个正项得到的。令 n→∞,就有
e ≥slant 1 + 1 + (1)/(2!) + (1)/(3!) + … + (1)/(m!) = sₘ.再令 m→∞,得到 e ≥slant s。因此有 s = e。
记 εₙ=e-(1+1+(1)/(2!)+…+(1)/(n!)),则有 displaystylelimₙ→∞εₙ(n+1)!=1。
证明
写出
limₙ→∞ εₙ(n+1)! = limₙ→∞ fracεₙ(1)/((n+1)!),然后用 0/0 型的 Stolz 定理(即命题 2.4.2),这时
εₙ+1 - εₙ = -(1)/((n+1)!), (1)/((n+2)!) - (1)/((n+1)!) = -(1)/(n!(n+2)),可见所求的极限为 1。
这个结果也可以从下面更为精细的估计得出。
对于上述 εₙ 成立不等式 (1)/((n+1)!) < εₙ < (1)/(n!n)。
证明
从 εₙ = ∑ₖ=n+1^(∞) (1)/(k!) 可见 εₙ > (1)/((n+1)!) 成立。对任意的 m > n,估计
r l (1)/((n+1)!) + (1)/((n+2)!) + … + (1)/(m!) &< (1)/((n+1)!) (1 + (1)/(n+2) + … + (1)/((n+2)^k) + …) & = (1)/((n+1)!) ((1)/(1-(1)/(n+2))) & = (n+2)/((n+1)!(n+1)) < (1)/(n!n),再令 m→∞,就得到所求的第二个不等式。
现在证明关于数 e 的一个基本结果,它也是 Euler 首先得到的。
自然对数的底 e 是无理数。
证明
用反证法。如果 e 是有理数,则可写为 e=p/q,这里 p 和 q 是正整数。从上两个命题知道,对于正整数 q,可以将 e 的无穷级数展开式写成为两项之和,即从级数的第一项到 1/q! 为第一部分,余下的 ε_q 为第二部分:
e = p/q = (1 + (1)/(1!) + (1)/(2!) + (1)/(3!) + … + (1)/(q!)) + ε_(q). (2.14)由此可见,ε_(q) 一定是 1/q! 的整数倍。但从上一个例题对 ε_(q) 的估计知道,有
0 < ε_(q) < (1)/(q!q),因此这是不可能的。
换一个写法,对不等式
0 < p/q - (1 + (1)/(1!) + (1)/(2!) + … + (1)/(q!)) < (1)/(q!q)的两边同乘 q!q,则可见在中间的一个整数的值介于 0 和 1 之间,引出矛盾。
在 1873 年数学家 Hermite(埃尔米特)进一步证明 e 是超越数,也就是说 e 不是任何一个整系数代数方程的根。这个证明可以在 [53, 55] 中找到。
本小节的前两个命题给出了以 e 为极限的两个数列。在计算 e 的近似值时用它的无穷级数展开式的前有限项之和有很多优点:计算方便,收敛快,又有很好的误差估计。如果用 aₙ = (1 + 1/n)ⁿ 来计算 e,情况很不一样。若令
δₙ = e - (1 + 1/n)ⁿ,那么从本小节的命题2.5.1的证1可知
δₙ < (1 + 1/n)ⁿ+1 - (1 + 1/n)ⁿ = (1 + 1/n)ⁿ · 1/n < e/n < 3/n.进一步还可以得到
limₙ→∞ frac2nδₙe = 1,也就是说有
δₙ ∼ (e)/(2n), (2.15)其证明见例题8.1.4。
用 {aₙ} 计算 e 的近似值的实际例子:在取 n=100 时,a₁00=2.70…,只有两位数字是正确的。又取 n=10⁴,则有 a₁0⁴=2.71814…,也只有四位数字是正确的。这里的误差与公式 (2.15) 的估计是一致的。另一方面,若用
sₙ = 1 + (1)/(1!) + (1)/(2!) + (1)/(3!) + … + (1)/(n!)来求 e 的近似值,则在取 n=10 时就有 s₁0=2.7182818…,所写出的八位数字都是正确的。这与命题2.5.4给出的误差估计也是一致的。关于收敛的速度和计算效率的研究将会在计算方法课程中学习。数学分析为此提供了基础。
小结 数 e 的引进和研究是一个重要范例。这表明通过极限理论可以发现新的数。应当指出,由于这些数是通过极限来定义的,对它们的研究就很不容易。在这方面还有许多我们所不了解的东西,有待今后的研究。例如,虽然已经证明了 e 和 π 都是无理数和超越数,但迄今为止还没有人能证明 e+π 是无理数。
2.5.3 Euler 常数 γ
Section titled “2.5.3 EulerEuler 常数 γγ”数列 {cₙ} 收敛,其中 cₙ=1+1/2+…+1/n-ln n, n∈ N_(+)。
证明
这里需要用不等式
(1)/(n+1) < ln(1+1/n) < 1/n, (2.16)这可从命题2.5.1中建立的 (1+1/n)ⁿ < e < (1+1/n)ⁿ+1 取自然对数得到。
现在研究数列 {cₙ} 的前后两项之差。由 (2.16) 的第一个不等式可见
cₙ+1 - cₙ = (1)/(n+1) - ln(n+1) + ln n = (1)/(n+1) - ln(1+1/n) < 0,因此 {cₙ} 是严格单调减少数列。以下只要证明这个数列有下界即可。
在 (2.16) 的右边的不等式中将 n 用 1,2,…,n 代入,然后将这些不等式相加,就得到
1 + 1/2 + … + 1/n > ln(n+1) = ln n + ln(1+1/n) > ln n + (1)/(n+1).因此有
cₙ = 1 + 1/2 + … + 1/n - ln n > (1)/(n+1) > 0,可见数列 {cₙ} 为正数列,因此收敛。
在确立了数列 {cₙ} 单调减少之后,也可以如同命题2.5.1 的证 1 那样,引入第二个数列 {dₙ},其中 dₙ=1+1/2+…+1/n-ln(n+1), n∈N_(+)。这时有 dₙ<cₙ, ∀ n∈N_(+),且由 (2.16) 知 cₙ-dₙarrow0。同样可由 (2.16) 得到
dₙ+1 - dₙ = (1)/(n+1) - ln(n+2) + ln(n+1) = (1)/(n+1) - ln(1+(1)/(n+1)) > 0.因此 {dₙ} 是严格单调增加数列,且有 d₁<…<dₙ<cₙ<…<c₁,∀ n∈ N_(+)。因此数列 {cₙ} 以每个 dₙ 为下界,且和 {dₙ} 收敛于同一极限。
称以上数列 {cₙ} 的极限为 Euler 常数(或 Euler-Mascheroni(马斯凯罗尼)常数),记为
γ = limₙ→∞ (1 + 1/2 + … + 1/n - ln n) ≈ 0.577215664.由上述命题,我们得到
1 + 1/2 + … + 1/n = ln n + γ + o(1).用这个公式和 Euler 常数的近似值就可以近似估计例题2.2.6 中的发散数列 {Sₙ} 当 n 很大时的值。例如,在 n = 10⁶ 时,从
S₁0⁶ = ∑ₖ=1¹0⁶ 1/k ≈ 6ln 10 + γ,就得到 S₁0⁶ ≈ 14.392726。用 Mathematica 软件验算,知道这 8 位数字都是准确的。实际上如用近似公式
1 + 1/2 + … + 1/n ≈ ln n + γ + (1)/(2n),则效果还要好得多。关于这方面的材料可以参考 [66]。
一个尚未解决的问题是:Euler 常数 γ 是否是无理数?类似的问题在数学中还有很多。有人称 Euler 常数是其中“最大的谜”(见 [9] 中的 260 和 262 页)。
2.5.4 例题
Section titled “2.5.4 例题”证明 displaystylelimₙ→∞(n)/(n√(n!)) = e.
证1
将 (n)/(n√(n!)) 取对数,则只需证明其极限等于 1。经整理后得到
ln(n)/(n√(n!)) = (nln n - (ln 2 + ln 3 + … + ln n))/(n) = fracbₙn.用 Cauchy 命题即知(也就是 2.4.3 小节的题 4):
limₙ→∞ (bₙ+1 - bₙ) = l Longrightarrow limₙ→∞ fracbₙn = l,计算得到 bₙ+1 - bₙ = nln(1+1/n) = ln(1+1/n)ⁿ,可见极限为 1。
证2
将 (n)/(n√(n!)) 改写为 n√((nⁿ)/(n!)),就可以用 2.4.3 小节题 6 中的方法来做。这时记 aₙ = fracnⁿn!,因此只需计算后项与前项之比的极限:
limₙ→∞ fracaₙ+1aₙ = limₙ→∞ frac(n+1)ⁿ+1(n+1)! · fracn!nⁿ = limₙ→∞ (1+1/n)ⁿ = e.利用下一小节题 7 中的不等式可以得到本题的又一个解法。此外,本题还有积分学解法(例题11.4.2)。
计算极限 displaystylelimₙ→∞((1)/(n+1)+(1)/(n+2)+…+(1)/(2n))。
解
从 Euler 常数的讨论知道,以
cₙ = 1 + 1/2 + … + 1/n - ln n为通项的数列收敛。因此就知道 displaystylelimₙ→∞(c₂n - cₙ) = 0,又有
c₂n - cₙ = (1)/(n+1) + (1)/(n+2) + … + (1)/(2n) - ln 2,因此就求出
limₙ→∞ ((1)/(n+1) + (1)/(n+2) + … + (1)/(2n)) = limₙ→∞ (c₂n - cₙ) + ln 2 = ln 2.此题的另一巧妙解法见 2.8.3 小节中的例题 4。此外本题在学了积分学后就只是一个常规练习题(参见例题11.4.1)。
2.5.5 练习题
Section titled “2.5.5 练习题”- 计算下列极限:
(1) displaystylelimₙ→∞(1 - 1/n)ⁿ;
(2) displaystylelimₙ→∞(1 + (1)/(2n))ⁿ;
(3) displaystylelimₙ→∞(1 + 2/n)ⁿ;
(4) displaystylelimₙ→∞(1 + 1/n)ⁿ²;
(5) displaystylelimₙ→∞(1 + (1)/(n²))ⁿ;
(6) displaystylelimₙ→∞(1 + 1/n +(1)/(n²))ⁿ.
注 在计算中可以应用 2.1.5 小节题 4 中有关连续性的结果。但是要请读者注意,在现阶段如下的做法是缺乏根据的(以题 (3) 为例):
limₙ→∞ (1 + 2/n)ⁿ = limₙ→∞ [(1 + 2/n)ⁿ/2]² = e².-
设 k ∈ N_(+),证明:displaystyle(k)/(n+k) < ln(1 + k/n) < k/n。
-
求 displaystylelimₙ→∞(1 + (1)/(n²))(1 + (2)/(n²))…(1 + (n)/(n²))。
-
设 {pₙ} 是正数列,且 pₙ → +∞,计算 displaystylelimₙ → ∞ (1 + (1)/(pₙ))^pₙ。
-
求 displaystylelimₙ→∞(n!2ⁿ)/(nⁿ)。
-
求极限 displaystylelimₙ→∞(ln n)/(1+1/2+…+1/n)。
-
证明:displaystyle((n+1)/(e))ⁿ < n! < e((n+1)/(e))ⁿ+1。
(由此又可得到 displaystylelimₙ→∞(n)/(n√(n!))=e.)
- 设 Sₙ=1+2²+3³+…+nⁿ, n∈ N_(+)。证明:对 n≥slant2,成立不等式
- 设有 a₁=1, aₙ=n(aₙ-1+1), n=2,3,…,又设 xₙ=∏ₖ=1ⁿ(1+frac1aₖ), n∈N_(+),求数列 {xₙ} 的极限。